try:
    import oppgaver.uke_10_oppg_1 as D
except ModuleNotFoundError:
    import uke_10_oppg_1 as D


def test_empty(tmp_path):
    d = tmp_path / "sub"
    d.mkdir()
    p = d / "hello.txt"
    with open(p, "w", encoding="utf8") as f:
        f.write("")

    assert D.open_file(p) == ""


def test_single_line(tmp_path):
    d = tmp_path / "sub"
    d.mkdir()
    p = d / "hello.txt"
    with open(p, "w", encoding="utf8") as f:
        f.write("alksdjflkasjdf")
    assert D.open_file(p) == "alksdjflkasjdf"


def test_multi_line(tmp_path):
    d = tmp_path / "sub"
    d.mkdir()
    p = d / "hello.txt"
    with open(p, "w", encoding="utf8") as f:
        f.write("alksdjflkasjdf\nlaksdjflksdjoiwxlklkeiixasdLKJHWHS")
    assert D.open_file(p) == "alksdjflkasjdf\nlaksdjflksdjoiwxlklkeiixasdLKJHWHS"


def test_askeladden(tmp_path):
    askeladden = "Det var en gang en konge, og den kongen hadde hørt snakk om et skip som gikk like fort til lands som til vanns.\nSå ville han også ha slikt et, og til den som kunne bygge det, lovte han ut kongsdattera og halve kongeriket, og det lyste han ut på kirkebakken ved alle kirkesogn over hele landet.\nDet var mange som prøvde, kan du skjønne, for halve riket kunne være godt å ha, mente de vel, og kongsdattera kunne være bra å få i tillegg. Men ille gikk det med de fleste."

    d = tmp_path / "sub"
    d.mkdir()
    p = d / "hello.txt"
    with open(p, "w", encoding="utf8") as f:
        f.write(askeladden)
    assert D.open_file(p) == askeladden
