try:
    from uke_10_oppg_6 import add_together_safely
except ModuleNotFoundError:
    from oppgaver.uke_10_oppg_6 import add_together_safely


def test_numbers():
    assert add_together_safely(1, 2, 3, 4) == 10


def test_strings():
    assert add_together_safely("a ", "piece ", "of ", "cake") == "a piece of cake"

def test_returns_None():
    assert (
        add_together_safely(1, 2, 3, "4") is None
    ), f"Invalid input should return None"


def test_TypeError(capsys):
    add_together_safely(1, 2, 3, "4")
    output = capsys.readouterr().out
    assert (
        output.rstrip()
        == "Failed with error: unsupported operand type(s) for +: 'int' and 'str'"
    ), f"When the function fails you should print the error message"


def test_other_TypeError(capsys):
    add_together_safely("1", 2, 3, 4)
    output = capsys.readouterr().out
    assert (
        output.rstrip() == 'Failed with error: can only concatenate str (not "int") to str'
    ), f"When the function fails you should print the error message"
