try:
    from uke_10_oppg_8 import dot_product
except ModuleNotFoundError:
    from oppgaver.uke_10_oppg_8 import dot_product

from pytest import raises

def test_correct_result():
    A, B, = [
        1,
        2,
    ], [2, 1]
    C = dot_product(A, B)
    assert C == 4, f"dot_product({A}, {B}) should return 4, but returned {C}"


def test_orthogonal():
    A, B, = [
        1,
        3,
        32,
    ], [3, -1, 0]
    C = dot_product(A, B)
    assert C == 0, f"dot_product({A}, {B}) should return 0, but returned {C}"


def test_exception_type():
    with raises(Exception) as err:
        dot_product([1, 2], [3, 4, 5])
    assert (
        err.type is ValueError
    ), f"You raised {err.type.__name__}, but you should raise a ValueError"
